using AutoScan.Options;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;
using Quartz;

namespace AutoScan;

public class ScanJob : IJob
{
    private readonly ILogger<ScanJob> _logger;
    private readonly AutoScanOptions _options;

    public ScanJob(ILogger<ScanJob> logger, IOptionsSnapshot<AutoScanOptions> options)
    {
        _logger = logger;
        _options = options.Value;
    }

    public Task Execute(IJobExecutionContext context)
    {
        _logger.LogWarning("Scheduled scan executed with ops: {Options}",  _options);
        return Task.CompletedTask;
    }
}